# Generated from optimize-js-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name optimize-js

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: Ruby wrapper and Rails asset pipeline integration for optimize-js
License: MIT
URL: https://github.com/yivo/optimize-js
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(appraisal) >= 2.1
# BuildRequires: rubygem(appraisal) < 3
# BuildRequires: rubygem(test-unit) >= 3.1
# BuildRequires: rubygem(test-unit) < 4
BuildArch: noarch

%description
optimize-js makes JavaScript scripts initialize faster. This gem provides Ruby
and Rails asset pipeline integration for optimize-js.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Appraisals
%license %{gem_instdir}/LICENCE
%license %{gem_instdir}/OPTIMIZE-JS-LICENCE
%{gem_instdir}/gemfiles
%{gem_libdir}
%{gem_instdir}/optimize-js.web.min.js
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/optimize-js.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.3-1
- Initial package
